<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC

@description página en la que se listan en una tabla los predios que hacen parte de un trámite (se usa
  para los trámites de desenglobe), y para cada uno un link para ver sus detalles

@author pedro.garcia
@version 2.0



OJO: tiene quemado el nombre del MB de consulta de predios: consultaPredio

@param  listaPrediosDelTramiteParam  variable que contiene la lista de predios asociados al trámite.
        Los elementos de esta lista son de tipo TramiteDetallePredio y se debe haber hecho fetch del Predio.
@param  detallesPredioDialogWVParam  nombre del widgetvar del dialog que va a mostrar lols detalles del predio. 
        Esta ventana debe ser incluída en la misma página donde se incluya esta página
@param  thisWVParam  valor del atributo widgetvar de este dialog.
-->

<!--  
OJO: es mejor usar el widgetvar de los dialog para cerrarlos con el botón cerrar porque si no se usa se demora mucho
     cerrando la ventana (las otras opciones son this.hide() o window.hide())
-->


<h:panelGrid 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    title="Predios del trámite" width="100%"
    id="prediosTramitePG" >

    <h:form>

        <p:dataTable id="prediosDelTramiteDT"
                     value="#{listaPrediosDelTramiteParam}"
                     var="predioTramite" 
                     rowKey="#{predioTramite.id}" 
                     paginator="true" rows="5" 
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,20,30"
                     emptyMessage="No se encontraron predios asociados al trámites">


            <f:facet name="header">
                Predios asociados al trámite
            </f:facet>

            <p:column headerText="Principal">
                <p:commandButton icon="ui-icon-notice"
                                 title="Este es el predio principal"
                                 rendered="#{predioTramite.englobePrincipal == 'SI'}"
                                 />
            </p:column>

            <p:column headerText="Detalle">
                <p:commandButton icon="ui-icon-search"
                                 title="Ver detalles del predio"
                                 immediate="true"
                                 onstart="statusDialog2.show();"
                                 oncomplete="#{detallesPredioDialogWVParam}.show();statusDialog2.hide();"
                                 action="#{consultaPredio.cleanAllMB}"
                                 update=":dpCC:detallesPredioTV">
                    <f:setPropertyActionListener value="#{predioTramite.predio}"
                                                 target="#{consultaPredio.selectedPredio1}" />
                </p:commandButton>

            </p:column>

            <p:column headerText="Número predial">
                <h:outputText value="#{predioTramite.predio.numeroPredial}"
                              styleClass="outputTextStyleInTable" />
            </p:column>

        </p:dataTable>


        <p:spacer height="20" width="0" />


        <p:outputPanel layout="block" style="text-align: right">
            <p:spacer width="20" height="0"/>
            <p:commandButton value="Cerrar" ajax="true"
                             icon="ui-icon-close"
                             onstart="statusDialog2.show();"
                             onclick="#{thisWVParam}.hide();" 
                             oncomplete="statusDialog2.hide();"/>
        </p:outputPanel>




    </h:form>

</h:panelGrid>



